rte_flow_item_mark(3)

NAME
rte_flow_item_mark

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t id

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ITEM_TYPE_MARK

Matches an arbitrary integer value which was set using the MARK action in a previously matched rule.

This item can only be specified once as a match criteria as the MARK action can only be specified once in a flow action.

This value is arbitrary and application-defined. Maximum allowed value depends on the underlying implementation.

Depending on the underlying implementation the MARK item may be supported on the physical device, with virtual groups in the PMD or not at all.

Definition at line 1745 of file rte_flow.h.

Field Documentation

  uint32_t id
Integer value to match against.

Definition at line 1746 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.